#
# spec file for package rubygem-actiontext-7.0
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actiontext-7.0
Version:        7.0.8.6
Release:        1.1
%define mod_name actiontext
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -7.0
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rich text framework
License:        MIT

%description
Edit and display rich text in Rails applications.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8.6 (October 23, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.5 (October 15, 2024) ##
  * Avoid backtracing in plain_text_for_blockquote_node
    [CVE-2024-47888]
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8.4 (June 04, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.3 (May 17, 2024) ##
  * Fix vendored trix.css to be correct file.
  * Hartley McGuire*
  [#]# Rails 7.0.8.2 (May 16, 2024) ##
  * Upgrade Trix to 1.3.2 to fix [CVE-2024-34341](https://github.com/basecamp/trix/security/advisories/GHSA-qjqp-xr96-cj99).
  * Rafael Mendonça França*
  [#]# Rails 7.0.8.1 (February 21, 2024) ##
  * No changes.
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8 (September 09, 2023) ##
  * No changes.
  [#]# Rails 7.0.7.2 (August 22, 2023) ##
  * No changes.
  [#]# Rails 7.0.7.1 (August 22, 2023) ##
  * No changes.
  [#]# Rails 7.0.7 (August 09, 2023) ##
  * No changes.
  [#]# Rails 7.0.6 (June 29, 2023) ##
  * No changes.
* Tue Jun 27 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5.1
  * https://rubyonrails.org/2023/6/26/Rails-Versions-7-0-5-1-6-1-7-4-have-been-released
* Mon Jun 26 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5
  * https://rubyonrails.org/2023/5/24/Rails-7-0-5-has-been-released
* Fri Apr 21 2023 Marcus Rueckert <mrueckert@suse.de>
- Update to version 7.0.4.3:
  https://rubyonrails.org/2023/3/13/Rails-7-0-4-3-and-6-1-7-3-have-been-released
  https://rubyonrails.org/2023/1/24/Rails-7-0-4-2-and-6-1-7-2-have-been-released
  https://rubyonrails.org/2023/1/17/Rails-Versions-6-0-6-1-6-1-7-1-7-0-4-1-have-been-released
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.4
  see installed CHANGELOG.md
  [#]# Rails 7.0.4 (September 09, 2022) ##
  * No changes.
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3.1
  see installed CHANGELOG.md
  [#]# Rails 7.0.3.1 (July 12, 2022) ##
  * No changes.
* Sun May 15 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.3
  * no changes
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.4
  see installed CHANGELOG.md
  [#]# Rails 7.0.2.4 (April 26, 2022) ##
  * No changes.
* Thu Mar 10 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.2.3
  * no changes
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.2
  see installed CHANGELOG.md
  [#]# Rails 7.0.2.2 (February 11, 2022) ##
  * No changes.
  [#]# Rails 7.0.2.1 (February 11, 2022) ##
  * No changes.
  [#]# Rails 7.0.2 (February 08, 2022) ##
  * No changes.
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.1
  see installed CHANGELOG.md
  [#]# Rails 7.0.1 (January 06, 2022) ##
  * No changes.
* Mon Dec 27 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Don't limit building to specific ruby versions
* Tue Dec 21 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Rails 7.0 has been released
  https://edgeguides.rubyonrails.org/7_0_release_notes.html
* Sun Dec 12 2021 Marcus Rueckert <mrueckert@suse.de>
- initial package
